#include<bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    int n, k, x;
    cin >> n >> k >> x;
    if(k < n) {
        for(int i = 0; i < k; ++i)
            cout << 1 << ' ';
        for(int i = 0; i < n - k - 1; ++i)
            cout << 2 << ' ';
        cout << 1 + x;
    }
    else if(k == 3) {
        if(n == 1 || n == 2)
            cout << -1;
        else {
            cout << 1 << ' ' << 1 + x << ' ' << 1 + 2 * x;
        }
    }
}